#ifndef HYDRANGEA_HAND_H
#define HYDRANGEA_HAND_H

#include "engine/input_manager.h"
#include "node.h"
#include "card.h"

class Hand : public Node {
public:
    Hand();

    ~Hand();

    void free() override;

    void update() override;

    void pollInputs() override;

    void drawCard();

    void removeCard();

private:

    void organizeDeck();
};

#endif //HYDRANGEA_HAND_H
